%define compile_apidox 0
%{?_no_apidox: %{expand: %%global compile_apidox 0}}

%define unstable 1
%{?_unstable: %{expand: %%global unstable 1}}

%if %unstable
%define dont_strip 1
%endif

%define lib_name_orig libkdevelop4
%define lib_major 3
%define lib_name %mklibname kdevelop4 %lib_major
%define old_lib_major 2
%define old_lib_name %mklibname kdevelop4 %old_lib_major

Name: 		kdevelop4
Summary: 	Integrated Development Environment for C++/C
Version:        4.2.2
Release:        %mkrel 1
Epoch:          4
URL:            http://www.kdevelop.org/
Source:		http://fr2.rpmfind.net/linux/KDE/stable/kdevelop/%{version}/src/kdevelop-%{version}.tar.bz2
Group: 		Development/C++
License:        GPL

BuildRequires:  kdelibs4-devel >= 2:4.6.0
BuildRequires:  kdevplatform4-devel >= 4:1.2.2
BuildRequires:	kdebase4-workspace-devel
BuildRequires:	kdesdk4-devel >= 1:4.6.0

%if %compile_apidox
BuildRequires:  doxygen
%endif
Requires:      cmake
Requires:      git
Requires:      gdb
Requires:      kdevplatform4 >= 4:1.2.2

%description
The KDevelop Integrated Development Environment provides many features that
developers need as well as providing a unified interface to programs like gdb,
the C/C++ compiler, and make.

KDevelop manages or provides:
   * All development tools needed for C++ programming like Compiler, Linker,
     automake and autoconf
   * KAppWizard, which generates complete, ready-to-go sample applications
   * Classgenerator, for creating new classes and integrating them into the
     current project
   * File management for sources, headers, documentation etc. to be included in
     the project
   * The creation of User-Handbooks written with SGML and the automatic
     generation of HTML-output with the KDE look and feel
   * Automatic HTML-based API-documentation for your project's classes with
     cross-references to the used libraries; Internationalization support for
     your application, allowing translators to easily add their target language
     to a project
   * WYSIWYG (What you see is what you get) creation of user interfaces with a
     built-in dialog editor
   * Debugging your application by integrating KDbg
   * Editing of project-specific pixmaps with KIconEdit
   * The inclusion of any other program you need for development by adding it
     to the "Tools" menu according to your individual needs.

%files -f %name.lang
%defattr(-,root,root) 
%{_kde_bindir}/kdevelop
%{_kde_services}/*.desktop
%{_kde_appsdir}/kdevcmakebuilder
%{_kde_appsdir}/kdevgdb
%{_kde_appsdir}/kdevcmakemanager
%{_kde_appsdir}/kdevappwizard
%{_kde_appsdir}/kdevcustommakemanager
%{_kde_appsdir}/kdevcppsupport
%{_kde_appsdir}/kdevelop
%{_kde_appsdir}/kdevokteta
%{_kde_datadir}/applications/kde4/kdevelop.desktop
%{_kde_iconsdir}/*/*/*/*
%{_kde_datadir}/config/kdeveloprc
%{_kde_datadir}/mime/packages/kdevelop.xml
%{_kde_libdir}/kde4/kcm_kdev_makebuilder.so
%{_kde_libdir}/kde4/kcm_kdevcmake_settings.so
%{_kde_libdir}/kde4/kdevastyle.so
%{_kde_libdir}/kde4/kdevcmakebuilder.so
%{_kde_libdir}/kde4/kdevcmakedocumentation.so
%{_kde_libdir}/kde4/kdevcmakemanager.so
%{_kde_libdir}/kde4/kdevcpplanguagesupport.so
%{_kde_libdir}/kde4/kdevcustommakemanager.so
%{_kde_libdir}/kde4/kdevgdb.so
%{_kde_libdir}/kde4/kdevindent.so
%{_kde_libdir}/kde4/kdevkdeprovider.so
%{_kde_libdir}/kde4/kdevmakebuilder.so
%{_kde_libdir}/kde4/kdevmanpage.so
%{_kde_libdir}/kde4/kdevokteta.so
%{_kde_libdir}/kde4/kdevqthelp.so
%{_kde_libdir}/kde4/kdevqthelp_config.so
%{_kde_libdir}/libkdev4cmakecommon.so
%{_kde_libdir}/libkdev4cpprpp.so
%{_kde_libdir}/libkdev4cppduchain.so
%{_kde_libdir}/libkdev4cppparser.so

#------------------------------------------------

%package devel
Summary: Development files for kdevelop
Group: Development/KDE and Qt

%description devel
Development files for kdevelop.

%files devel
%defattr(-,root,root)
%{_kde_appsdir}/cmake/modules/FindKDevelop.cmake
%{_kde_includedir}/kdevelop

#------------------------------------------------

%package doc
Summary: Development files for kdevelop
Group: Development/KDE and Qt


%description doc
Documentation kdevelop.

%files doc
%defattr(-,root,root)

#------------------------------------------------

%prep
%setup -q -n kdevelop-%{version}

%build
%cmake_kde4
%make

%if %compile_apidox
make apidox
%endif

%install
rm -fr %buildroot
%makeinstall_std -C build

%find_lang %name --all-name --with-kde 


%clean
rm -fr %buildroot


%changelog
* Tue Apr 12 2011 mikala <mikala> 4:4.2.2-1.mga1
+ Revision: 83949
- Remove most of the requires (suggested by Kicer86)
- Remove old obsoletes

* Wed Apr 06 2011 mikala <mikala> 4:4.2.2-0.mga1
+ Revision: 81402
- Update tarball to 4.2.2

* Mon Mar 07 2011 mikala <mikala> 4:4.2.0-2.mga1
+ Revision: 66147
- Remove BuildRoot
- Drop old conflict
- imported package kdevelop4


* Sun Feb 27 2011 Funda Wang <fwang@mandriva.org> 4:4.2.0-2mdv2011.0
+ Revision: 640186
- rebuild

* Mon Jan 24 2011 Funda Wang <fwang@mandriva.org> 4:4.2.0-1
+ Revision: 632465
- new version 4.2.0

* Mon Jan 10 2011 Funda Wang <fwang@mandriva.org> 4:4.1.90-1
+ Revision: 630841
- new version 4.1.90

* Wed Dec 29 2010 Funda Wang <fwang@mandriva.org> 4:4.1.81-1mdv2011.0
+ Revision: 625813
- update file list
- new version 4.1.81

* Fri Dec 17 2010 Funda Wang <fwang@mandriva.org> 4:4.1.80-1mdv2011.0
+ Revision: 622557
- update file list
- update url
- new version 4.1.80

* Mon Nov 22 2010 Funda Wang <fwang@mandriva.org> 4:4.1.60-0.git20101121.1mdv2011.0
+ Revision: 599638
- bump req
- new snapshot
- requires git

* Mon Oct 11 2010 Funda Wang <fwang@mandriva.org> 4:4.1.60-0.git20101010.1mdv2011.0
+ Revision: 584892
- New snapshot

* Thu Sep 09 2010 Funda Wang <fwang@mandriva.org> 4:4.1.60-0.git20100906.2mdv2011.0
+ Revision: 576909
- BR kdeutils4

* Tue Sep 07 2010 Funda Wang <fwang@mandriva.org> 4:4.1.60-0.git20100906.1mdv2011.0
+ Revision: 576573
- New snapshot to work with kde 4.6
- simplify BRs
- new version 4.0.2

* Sun Jul 18 2010 Funda Wang <fwang@mandriva.org> 4:4.0.1-1mdv2011.0
+ Revision: 554769
- new version 4.0.1

* Thu Apr 29 2010 Funda Wang <fwang@mandriva.org> 4:4.0.0-2mdv2010.1
+ Revision: 540851
- requires kdevplatform4 1.0

* Thu Apr 29 2010 Funda Wang <fwang@mandriva.org> 4:4.0.0-1mdv2010.1
+ Revision: 540702
- update file list
- New version 4.0.0 final

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Simplfy %%find_lang

* Sat Apr 17 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:3.10.2-1mdv2010.1
+ Revision: 535742
- New version 3.10.2

* Fri Apr 16 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:3.10.1-1mdv2010.1
+ Revision: 535381
- New version 3.10.1

* Sun Apr 04 2010 Funda Wang <fwang@mandriva.org> 4:3.10.0-1mdv2010.1
+ Revision: 531392
- new version 3.10.0

* Sun Mar 14 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:3.9.99-2mdv2010.1
+ Revision: 518823
- Use new upstream tarball

* Sun Mar 07 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:3.9.99-1mdv2010.1
+ Revision: 515523
- Update to beta9

* Fri Feb 12 2010 Funda Wang <fwang@mandriva.org> 4:3.9.98-2mdv2010.1
+ Revision: 504705
- bump kdevplatform req

* Fri Feb 12 2010 Funda Wang <fwang@mandriva.org> 4:3.9.98-1mdv2010.1
+ Revision: 504472
- fix file list
- New version 3.9.98

* Mon Dec 14 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:3.9.97-2mdv2010.1
+ Revision: 478400
- Fix file list
- Update to Beta 7

* Thu Nov 12 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:3.9.96-2mdv2010.1
+ Revision: 465251
- Rebuild against new Qt

* Sun Nov 08 2009 Funda Wang <fwang@mandriva.org> 4:3.9.96-1mdv2010.1
+ Revision: 462785
- fix file list
- New version 3.9.96

* Sun Aug 23 2009 Funda Wang <fwang@mandriva.org> 4:3.9.95-1mdv2010.0
+ Revision: 419823
- new version 3.9.95

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - increase requires

* Tue Aug 18 2009 Raphaël Gertz <rapsys@mandriva.org> 4:3.9.94-2mdv2010.0
+ Revision: 417489
- Rebuild for libjpeg

* Sun Jul 12 2009 Funda Wang <fwang@mandriva.org> 4:3.9.94-1mdv2010.0
+ Revision: 394934
- New version 3.9.94

* Thu May 28 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:3.9.93-1mdv2010.0
+ Revision: 380380
- Add tarballs
- Update to 3.9.93

* Mon May 11 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:3.9.92-0.966572.1mdv2010.0
+ Revision: 374804
- Fix BuildRequires
- New svn snapshot

* Sun Apr 12 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:3.9.91-2mdv2009.1
+ Revision: 366511
- Rebuild against new KDE 4.2

  + Funda Wang <fwang@mandriva.org>
    - update url

* Mon Feb 02 2009 Funda Wang <fwang@mandriva.org> 4:3.9.91-1mdv2009.1
+ Revision: 336324
- New version 3.9.91
- fix file list

* Wed Jan 28 2009 Funda Wang <fwang@mandriva.org> 4:3.9.90-1mdv2009.1
+ Revision: 334816
- New version 3.9.90

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Add kdevplatform4 as Requires to unable plugins

* Wed Jan 14 2009 Funda Wang <fwang@mandriva.org> 4:3.9.85-1mdv2009.1
+ Revision: 329308
- fix BR

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update with latest unstable release

* Tue Dec 16 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:3.9.84-1mdv2009.1
+ Revision: 314975
- Update to kde 4.2 Beta2

* Sat Nov 29 2008 Funda Wang <fwang@mandriva.org> 4:3.9.83-0.886616.2mdv2009.1
+ Revision: 307959
- rebuild for new kdevplatform

* Fri Nov 28 2008 Funda Wang <fwang@mandriva.org> 4:3.9.83-0.886616.1mdv2009.1
+ Revision: 307373
- 3.9.83

* Sun Nov 09 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:3.9.82-0.881691.4mdv2009.1
+ Revision: 301414
- Fix file list

* Sun Nov 09 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:3.9.82-0.881691.3mdv2009.1
+ Revision: 301377
- Obsolete old kde3 kdevelop

* Sun Nov 09 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4:3.9.82-0.881691.2mdv2009.1
+ Revision: 301324
- Bump release because BS failure
- Fix BuildRequires
- Fix BuildRequires
- New snapshot

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream kde4 4.1 beta1

* Fri May 16 2008 Funda Wang <fwang@mandriva.org> 3:4.0.74-1mdv2009.0
+ Revision: 208059
- BR automoc
- New version 4.0.74

* Sun May 11 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.0.73-1mdv2009.0
+ Revision: 205562
- Update to kde 4.0.73
- New snapshot 4.0.70

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream kde4 4.1 alpha 1

  + Thierry Vignaud <tv@mandriva.org>
    - fix description-line-too-long
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Dec 01 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.96.1-0.742897.2mdv2008.1
+ Revision: 114273
- New snapshot

* Mon Nov 26 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.96.1-0.740174.2mdv2008.1
+ Revision: 113277
- Fix Requires

* Sun Nov 25 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.96.1-0.740174.1mdv2008.1
+ Revision: 111992
- Add kdevplatform4-devel as BuildRequire
- kdevelop 4 Rc1

  + Laurent Montel <lmontel@mandriva.org>
    - it compiles with enable-final
    - new snapshot


* Thu Mar 01 2007 Laurent Montel <lmontel@mandriva.com> 3.80.3-0.20070228.3mdv2007.1
+ Revision: 130301
- new snapshot
- 3.80.3
- new snapshot

* Wed Jan 24 2007 Laurent Montel <lmontel@mandriva.com> 3:3.80.2-0.20070123.3mdv2007.1
+ Revision: 112724
- new snapshot

* Thu Jan 18 2007 Laurent Montel <lmontel@mandriva.com> 3:3.80.2-0.20070117.3mdv2007.1
+ Revision: 110241
- Update

* Thu Jan 11 2007 Laurent Montel <lmontel@mandriva.com> 3:3.80.2-0.20070109.3mdv2007.1
+ Revision: 107381
- Move cmake module into devel

* Wed Jan 10 2007 Laurent Montel <lmontel@mandriva.com> 3:3.80.2-0.20070109.2mdv2007.1
+ Revision: 107171
- +1
- Update
- Minor fix

* Wed Jan 03 2007 Laurent Montel <lmontel@mandriva.com> 3:3.80.2-0.20070103.1mdv2007.1
+ Revision: 103683
- Update
- Remove not necessary files
- Import kdevelop4

* Wed Dec 27 2006 Laurent Montel <lmontel@mandriva.com> 3.3.5-2mdv2007.0
- First package

